<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = array();

/** English (English) */
$specialPageAliases['en'] = array(
	'RevisionCommentSupplement' => array( 'RevisionCommentSupplement' ),
	'RevisionCommentSupplementList' => array( 'RevisionCommentSupplementList' ),
);

/** Arabic (العربية) */
$specialPageAliases['ar'] = array(
	'RevisionCommentSupplement' => array( 'ملحق_تعليق_المراجعة' ),
	'RevisionCommentSupplementList' => array( 'قائمة_ملحق_تعديل_المراجعة' ),
);

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = array(
	'RevisionCommentSupplement' => array( 'ملحق_تعليق_المراجعه' ),
	'RevisionCommentSupplementList' => array( 'قايمه_ملحق_تعديل_المراجعه' ),
);

/** German (Deutsch) */
$specialPageAliases['de'] = array(
	'RevisionCommentSupplement' => array( 'Versionskommentarergänzung' ),
	'RevisionCommentSupplementList' => array( 'Versionskommentarergänzungsliste' ),
);

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = array(
	'RevisionCommentSupplement' => array( 'RewizyonaVatışandéDekerdışan' ),
	'RevisionCommentSupplementList' => array( 'ListeyaRewizyondaVatışandéDekerdışan' ),
);

/** Italian (italiano) */
$specialPageAliases['it'] = array(
	'RevisionCommentSupplement' => array( 'SupplementoCommentoRevisione' ),
	'RevisionCommentSupplementList' => array( 'ElencoSupplementoCommentoRevisione' ),
);

/** Japanese (日本語) */
$specialPageAliases['ja'] = array(
	'RevisionCommentSupplement' => array( '版の補足コメントの操作', '版のコメントの補足' ),
	'RevisionCommentSupplementList' => array( '版の補足コメントの一覧' ),
);

/** Korean (한국어) */
$specialPageAliases['ko'] = array(
	'RevisionCommentSupplement' => array( '판덧글보충' ),
	'RevisionCommentSupplementList' => array( '판덧글보충목록' ),
);

/** Macedonian (македонски) */
$specialPageAliases['mk'] = array(
	'RevisionCommentSupplement' => array( 'ПреработкиДодатенКоментар' ),
	'RevisionCommentSupplementList' => array( 'ПреработкиДодатенКоментарСписок' ),
);

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = array(
	'RevisionCommentSupplement' => array( 'SupplementoCommentoRevisione' ),
	'RevisionCommentSupplementList' => array( 'ElencoSupplementoCommentoRevisione' ),
);

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = array(
	'RevisionCommentSupplement' => array( '修订注释补充' ),
	'RevisionCommentSupplementList' => array( '修订注释补充列表' ),
);

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = array(
	'RevisionCommentSupplement' => array( '修訂評論增補' ),
	'RevisionCommentSupplementList' => array( '修訂評論增補清單' ),
);